%This M-Function was created automatically by PSG Toolbox.
%See section "Special Subroutines in Toolbox -> User Subroutine in Toolbox" in PSG Help Manual.
%
%Input variables:
%
%Inputs                    PSG Type    PSG Object          Location in Problem Statement     Class
%matrix_scenarios_data     data        matrix_scenarios    pr_pen(14000,matrix_scenarios)    double
%matrix_scenarios_vars     vars        matrix_scenarios    pr_pen(14000,matrix_scenarios)    cell
%matrix_scenarios_bench    bench       matrix_scenarios    pr_pen(14000,matrix_scenarios)    double
%matrix_scenarios_prob     prob        matrix_scenarios    pr_pen(14000,matrix_scenarios)    double
%pmatrix_graph_data        data        pmatrix_graph       linearmulti(pmatrix_graph)        double
%pmatrix_graph_vars        vars        pmatrix_graph       linearmulti(pmatrix_graph)        cell
%
%Output variables:
%
%solution_str = string with solution of problem;
%outargstruc_arr = array of output PSG data structures;


function [solution_str,outargstruc_arr] = pr_pen_14000_15_45_subroutine(matrix_scenarios_data,matrix_scenarios_vars,matrix_scenarios_bench,matrix_scenarios_prob,pmatrix_graph_data,pmatrix_graph_vars)

%Pack data to PSG structure:
count = 0;
count = count+1;
iargstruc_arr(count) = matrix_pack('matrix_scenarios',matrix_scenarios_data,matrix_scenarios_vars,matrix_scenarios_bench,matrix_scenarios_prob);
count = count+1;
iargstruc_arr(count) = pmatrix_pack('pmatrix_graph',pmatrix_graph_data,pmatrix_graph_vars);
%Define problem statement:
problem_statement = sprintf('%s\n',...
'minimize',...
'mip = 1',...
'  pr_pen(14000,matrix_scenarios)',...
'',...
'constraint: = 0',...
'  linearmulti(pmatrix_graph)',...
'box: types=1',...
'solver: cargrb, timelimit = 3600',...
' ');
%Change parameters with their values in problem statement:

%Optimize problem using mpsg_solver function:
[solution_str, outargstruc_arr] = mpsg_solver(problem_statement, iargstruc_arr);
results = psg_convert_outargstruc(solution_str,outargstruc_arr);
outargstruc_arr = results.data;
solution_str = results.string;

%=======================================================================|
%American Optimal Decisions, Inc. Copyright                             |
%Copyright American Optimal Decisions, Inc. 2007-2018.                 |
%American Optimal Decisions (AOD) retains copyrights to this material.  |
%                                                                       |
%Permission to reproduce this document and to prepare derivative works  |
%from this document for internal use is granted, provided the copyright |
%and No Warranty  statements are included with all reproductions       |
%and derivative works.                                                  |
%                                                                       |
%For information regarding external or commercial use of copyrighted    |
%materials owned by AOD, contact AOD at support@aorda.com.              |
%=======================================================================|
 

